=== kadu-core/gui/CMakeLists.txt ===
set (gui_SRCS
	actions/chat/add-conference-action.cpp
	actions/chat/add-room-chat-action.cpp
	actions/chat/leave-chat-action.cpp

	actions/action.cpp
	actions/actions.cpp
	actions/action-description.cpp
	actions/base-action-context.cpp
	actions/change-status-action.cpp
	actions/default-proxy-action.cpp
	actions/delete-talkable-action.cpp
	actions/edit-talkable-action.cpp
	actions/recent-chats-action.cpp

	menu/kadu-menu.cpp
	menu/menu-inventory.cpp
	menu/menu-item.cpp

	model/checkbox-styled-item-delegate.cpp

	services/clipboard-html-transformer-service.cpp

	widgets/chat-widget/chat-widget.cpp
	widgets/chat-widget/chat-widget-actions.cpp
	widgets/chat-widget/chat-widget-activation-service.cpp
	widgets/chat-widget/chat-widget-container-handler.cpp
	widgets/chat-widget/chat-widget-container-handler-mapper.cpp
	widgets/chat-widget/chat-widget-container-handler-repository.cpp
	widgets/chat-widget/chat-widget-factory.cpp
	widgets/chat-widget/chat-widget-manager.cpp
	widgets/chat-widget/chat-widget-message-handler.cpp
	widgets/chat-widget/chat-widget-message-handler-configuration.cpp
	widgets/chat-widget/chat-widget-message-handler-configurator.cpp
	widgets/chat-widget/chat-widget-repository.cpp

	widgets/group-tab-bar/group-filter-tab-data.cpp
	widgets/group-tab-bar/group-tab-bar.cpp
	widgets/group-tab-bar/group-tab-bar-configuration.cpp
	widgets/group-tab-bar/group-tab-bar-configurator.cpp

	widgets/account-add-widget.cpp
	widgets/account-avatar-widget.cpp
	widgets/account-buddy-list-widget.cpp
	widgets/account-configuration-widget.cpp
	widgets/account-configuration-widget-factory-repository.cpp
	widgets/account-configuration-widget-tab-adapter.cpp
	widgets/account-create-widget.cpp
	widgets/account-edit-widget.cpp
	widgets/accounts-combo-box.cpp
	widgets/actions-combo-box.cpp
	widgets/avatar-painter.cpp
	widgets/buddy-avatar-widget.cpp
	widgets/buddy-configuration-widget.cpp
	widgets/buddy-configuration-widget-factory-repository.cpp
	widgets/buddy-configuration-widget-tab-adapter.cpp
	widgets/buddy-contacts-table-delegate.cpp
	widgets/buddy-contacts-table-item.cpp
	widgets/buddy-contacts-table-model.cpp
	widgets/buddy-contacts-table-model-proxy.cpp
	widgets/buddy-contacts-table.cpp
	widgets/buddy-general-configuration-widget.cpp
	widgets/buddy-groups-configuration-widget.cpp
	widgets/buddy-personal-info-configuration-widget.cpp
	widgets/buddy-options-configuration-widget.cpp
	widgets/buddy-info-panel.cpp
	widgets/categorized-list-view.cpp
	widgets/categorized-list-view-painter.cpp
	widgets/chat-configuration-widget.cpp
	widgets/chat-configuration-widget-factory-repository.cpp
	widgets/chat-configuration-widget-tab-adapter.cpp
	widgets/chat-edit-box.cpp
	widgets/chat-edit-box-size-manager.cpp
	widgets/chat-edit-widget.cpp
	widgets/chat-room-edit-widget.cpp
	widgets/chat-style-preview.cpp
	widgets/chat-top-bar-container-widget.cpp
	widgets/chat-top-bar-widget-factory-repository.cpp
	widgets/chat-view-network-access-manager.cpp
	widgets/choose-identity-widget.cpp
	widgets/color-button.cpp
	widgets/color-selector.cpp
	widgets/composite-configuration-value-state-notifier.cpp
	widgets/configuration-value-state-notifier.cpp
	widgets/custom-input.cpp
	widgets/custom-input-menu-item.cpp
	widgets/custom-input-menu-manager.cpp
	widgets/delayed-line-edit.cpp
	widgets/file-transfer-widget.cpp
	widgets/filter-widget.cpp
	widgets/filtered-tree-view.cpp
	widgets/group-list.cpp
	widgets/groups-combo-box.cpp
	widgets/identities-combo-box.cpp
	widgets/kadu-text-edit.cpp
	widgets/kadu-tree-view.cpp
	widgets/kadu-tree-view-delegate.cpp
	widgets/kadu-web-view.cpp
	widgets/line-edit-clear-button.cpp
	widgets/line-edit-with-clear-button.cpp
	widgets/modal-configuration-widget.cpp
	widgets/path-edit.cpp
	widgets/path-list-edit.cpp
	widgets/protocols-combo-box.cpp
	widgets/proxy-combo-box.cpp
	widgets/preview.cpp
	widgets/recent-chats-menu.cpp
	widgets/roster-widget.cpp
	widgets/search-bar.cpp
	widgets/select-file.cpp
	widgets/select-font.cpp
	widgets/select-talkable-combo-box.cpp
	widgets/select-talkable-popup.cpp
	widgets/simple-configuration-value-state-notifier.cpp
	widgets/status-button.cpp
	widgets/status-buttons.cpp
	widgets/status-menu.cpp
	widgets/syntax-editor.cpp
	widgets/talkable-delegate.cpp
	widgets/talkable-delegate-configuration.cpp
	widgets/talkable-painter.cpp
	widgets/talkable-tree-view.cpp
	widgets/toolbar.cpp
	widgets/tool-tip-class-manager.cpp
	widgets/wait-overlay.cpp
	widgets/webkit-messages-view/message-limiter.cpp
	widgets/webkit-messages-view/webkit-messages-view.cpp
	widgets/webkit-messages-view/webkit-messages-view-clearing-display.cpp
	widgets/webkit-messages-view/webkit-messages-view-display.cpp
	widgets/webkit-messages-view/webkit-messages-view-display-factory.cpp
	widgets/webkit-messages-view/webkit-messages-view-factory.cpp
	widgets/webkit-messages-view/webkit-messages-view-handler.cpp
	widgets/webkit-messages-view/webkit-messages-view-handler-factory.cpp
	widgets/webkit-messages-view/webkit-messages-view-removing-display.cpp

	widgets/configuration/buddy-list-background-colors-widget.cpp
	widgets/configuration/config-action-button.cpp
	widgets/configuration/config-check-box.cpp
	widgets/configuration/config-color-button.cpp
	widgets/configuration/config-combo-box.cpp
	widgets/configuration/config-gg-password-edit.cpp
	widgets/configuration/config-hot-key-edit.cpp
	widgets/configuration/config-label.cpp
	widgets/configuration/config-line-separator.cpp
	widgets/configuration/config-line-edit.cpp
	widgets/configuration/config-list-widget.cpp
	widgets/configuration/config-path-list-edit.cpp
	widgets/configuration/config-preview.cpp
	widgets/configuration/config-proxy-combo-box.cpp
	widgets/configuration/config-radio-button.cpp
	widgets/configuration/config-select-file.cpp
	widgets/configuration/config-select-font.cpp
	widgets/configuration/config-slider.cpp
	widgets/configuration/config-spin-box.cpp
	widgets/configuration/config-syntax-editor.cpp
	widgets/configuration/config-widget-value.cpp
	widgets/configuration/config-widget.cpp
	widgets/configuration/configuration-widget.cpp
	widgets/configuration/config-section.cpp
	widgets/configuration/config-group-box.cpp
	widgets/configuration/config-tab.cpp
	widgets/configuration/notifier-configuration-widget.cpp
	widgets/configuration/notify-group-box.cpp
	widgets/configuration/notify-tree-widget.cpp

	widgets/dialog/add-group-dialog-widget.cpp
	widgets/dialog/edit-group-dialog-widget.cpp
	widgets/dialog/merge-buddies-dialog-widget.cpp
	widgets/dialog/password-dialog-widget.cpp
	widgets/dialog/title-widget.cpp

	windows/chat-window/chat-window.cpp
	windows/chat-window/chat-window-factory.cpp
	windows/chat-window/chat-window-manager.cpp
	windows/chat-window/chat-window-repository.cpp
	windows/chat-window/chat-window-storage.cpp
	windows/chat-window/chat-window-storage-configuration.cpp
	windows/chat-window/chat-window-storage-configurator.cpp
	windows/chat-window/window-chat-widget-container-handler.cpp

	windows/about.cpp
	windows/add-buddy-window.cpp
	windows/add-conference-window.cpp
	windows/add-room-chat-window.cpp
	windows/buddy-data-window.cpp
	windows/buddy-data-window-repository.cpp
	windows/buddy-delete-window.cpp
	windows/chat-data-window.cpp
	windows/chat-data-window-repository.cpp
	windows/configuration-window.cpp
	windows/file-transfer-window.cpp
	windows/group-properties-window.cpp
	windows/kadu-dialog.cpp
	windows/kadu-window.cpp
	windows/kadu-window-actions.cpp
	windows/main-configuration-window.cpp
	windows/main-window.cpp
	windows/message-dialog.cpp
	windows/multilogon-window.cpp
	windows/progress-window.cpp
	windows/proxy-action-context.cpp
	windows/proxy-edit-window.cpp
	windows/search-window.cpp
	windows/search-window-actions.cpp
	windows/status-window.cpp
	windows/status-window-description-proxy-model.cpp
	windows/string-list-dialog.cpp
	windows/subscription-window.cpp
	windows/token-window.cpp
	windows/updates-dialog.cpp
	windows/window-notifier-window.cpp
	windows/your-accounts.cpp

	windows/open-chat-with/open-chat-with.cpp
	windows/open-chat-with/open-chat-with-contact-list-runner.cpp
	windows/open-chat-with/open-chat-with-runner-manager.cpp

	hot-key.cpp
	status-icon.cpp
	web-view-highlighter.cpp
	window-manager.cpp
)

set (gui_MOC_SRCS
	actions/chat/add-conference-action.h
	actions/chat/add-room-chat-action.h
	actions/chat/leave-chat-action.h

	actions/action.h
	actions/actions.h
	actions/action-context.h
	actions/action-description.h
	actions/base-action-context.h
	actions/change-status-action.h
	actions/delete-talkable-action.h
	actions/default-proxy-action.h
	actions/edit-talkable-action.h
	actions/recent-chats-action.h

	menu/kadu-menu.h
	menu/menu-inventory.h

	model/checkbox-styled-item-delegate.h

	services/clipboard-html-transformer-service.h

	widgets/account-add-widget.h
	widgets/account-avatar-widget.h
	widgets/account-buddy-list-widget.h
	widgets/account-configuration-widget.h
	widgets/account-configuration-widget-factory-repository.h
	widgets/account-configuration-widget-tab-adapter.h
	widgets/account-create-widget.h
	widgets/account-edit-widget.h
	widgets/accounts-combo-box.h
	widgets/actions-combo-box.h
	widgets/buddy-avatar-widget.h
	widgets/buddy-configuration-widget.h
	widgets/buddy-configuration-widget-factory-repository.h
	widgets/buddy-configuration-widget-tab-adapter.h
	widgets/buddy-contacts-table-delegate.h
	widgets/buddy-contacts-table-item.h
	widgets/buddy-contacts-table-model.h
	widgets/buddy-contacts-table-model-proxy.h
	widgets/buddy-contacts-table.h
	widgets/buddy-general-configuration-widget.h
	widgets/buddy-groups-configuration-widget.h
	widgets/buddy-personal-info-configuration-widget.h
	widgets/buddy-options-configuration-widget.h
	widgets/buddy-info-panel.h
	widgets/categorized-list-view.h
	widgets/categorized-list-view-painter.h
	widgets/chat-configuration-widget.h
	widgets/chat-configuration-widget-factory-repository.h
	widgets/chat-configuration-widget-tab-adapter.h
	widgets/chat-edit-box.h
	widgets/chat-edit-box-size-manager.h
	widgets/chat-edit-widget.h
	widgets/chat-room-edit-widget.h
	widgets/chat-view-network-access-manager.h
	widgets/choose-identity-widget.h
	widgets/color-button.h
	widgets/color-selector.h
	widgets/composite-configuration-value-state-notifier.h
	widgets/configuration-value-state-notifier.h
	widgets/custom-input.h
	widgets/custom-input-menu-manager.h
	widgets/delayed-line-edit.h
	widgets/file-transfer-widget.h
	widgets/filter-widget.h
	widgets/filtered-tree-view.h
	widgets/group-list.h
	widgets/groups-combo-box.h
	widgets/identities-combo-box.h
	widgets/kadu-text-edit.h
	widgets/kadu-tree-view.h
	widgets/kadu-tree-view-delegate.h
	widgets/kadu-web-view.h
	widgets/line-edit-clear-button.h
	widgets/line-edit-with-clear-button.h
	widgets/modal-configuration-widget.h
	widgets/path-edit.h
	widgets/path-list-edit.h
	widgets/preview.h
	widgets/proxy-combo-box.h
	widgets/protocols-combo-box.h
	widgets/recent-chats-menu.h
	widgets/roster-widget.h
	widgets/search-bar.h
	widgets/select-file.h
	widgets/select-font.h
	widgets/select-talkable-combo-box.h
	widgets/select-talkable-popup.h
	widgets/simple-configuration-value-state-notifier.h
	widgets/status-button.h
	widgets/status-buttons.h
	widgets/status-menu.h
	widgets/syntax-editor.h
	widgets/talkable-delegate.h
	widgets/talkable-tree-view.h
	widgets/toolbar.h
	widgets/wait-overlay.h

	widgets/configuration/buddy-list-background-colors-widget.h
	widgets/configuration/config-action-button.h
	widgets/configuration/config-check-box.h
	#widgets/configuration/config-widget-value.h
	widgets/configuration/configuration-widget.h
	widgets/configuration/config-label.h
	widgets/configuration/config-color-button.h
	widgets/configuration/config-combo-box.h
	widgets/configuration/config-gg-password-edit.h
	widgets/configuration/config-group-box.h
	widgets/configuration/config-hot-key-edit.h
	widgets/configuration/config-line-edit.h
	widgets/configuration/config-line-separator.h
