=== debian/changelog ===
kadu (1.2-2) unstable; urgency=medium

  * Changed Architecture of kadu-dev to any

 -- Patryk Cisek <patryk@debian.org>  Sun, 23 Nov 2014 16:25:21 +0100

kadu (1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #768463)

 -- Patryk Cisek <patryk@debian.org>  Sat, 08 Nov 2014 15:17:42 +0100

kadu (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed 03-no-CMAKE_CXX_FLAGS-overwrite.patch patch. It's been
    included upstream.

 -- Patryk Cisek <patryk@debian.org>  Sun, 19 Oct 2014 10:01:12 +0200
